import { Meta, ArgTypes, Canvas } from "@storybook/addon-docs/blocks";
import { LinkButton } from "./LinkButton";
import * as LinkButtonStories from "./LinkButton.stories";

<Meta of={LinkButtonStories} />

# LinkButton

LinkButton component is a link element styled like a button. It takes all The
props that `Button` takes.

## Install

```bash
yarn add @simplybusiness/mobius
```

## Usage

```js
import { LinkButton } from "@simplybusiness/mobius";
```

## Examples

<Canvas of={LinkButtonStories.Default} />

## Props

<ArgTypes of={LinkButton} />

## Component HTML Structure and Class names

The following HTML is rendered for a LinkButton:

```html
<a class="mobius-link-button" href="path/to/page">{link text}</a>
```
